/**
 * Licensee: VP Development
 * License Type: Purchased
 */
package ormsamples;

import org.orm.*;
public class DeletePetShopData {
	public void deleteTestData() throws PersistentException {
		PersistentTransaction t = petshop.PetShopPersistentManager.instance().getSession().beginTransaction();
		try {
			petshop.Pet lpetshopPet = petshop.PetFactory.loadPetByQuery(null, null);
			lpetshopPet.delete();
			petshop.Transaction lpetshopTransaction = petshop.TransactionFactory.loadTransactionByQuery(null, null);
			lpetshopTransaction.delete();
			petshop.Customer lpetshopCustomer = petshop.CustomerFactory.loadCustomerByQuery(null, null);
			lpetshopCustomer.delete();
			petshop.Staff lpetshopStaff = petshop.StaffFactory.loadStaffByQuery(null, null);
			lpetshopStaff.delete();
			t.commit();
		}
		catch (Exception e) {
			t.rollback();
		}
		
	}
	
	public static void main(String[] args) {
		try {
			DeletePetShopData deletePetShopData = new DeletePetShopData();
			try {
				deletePetShopData.deleteTestData();
			}
			finally {
				petshop.PetShopPersistentManager.instance().disposePersistentManager();
			}
		}
		catch (Exception e) {
			e.printStackTrace();
		}
	}
}
