/**
 * Licensee: VP Development
 * License Type: Purchased
 */
package ormsamples;

import org.orm.*;
public class CreatePetShopData {
	public void createTestData() throws PersistentException {
		PersistentTransaction t = petshop.PetShopPersistentManager.instance().getSession().beginTransaction();
		try {
			petshop.Pet lpetshopPet = petshop.PetFactory.createPet();
			// Initialize the properties of the persistent object here
			lpetshopPet.save();
			petshop.Transaction lpetshopTransaction = petshop.TransactionFactory.createTransaction();
			// TODO Initialize the properties of the persistent object here, the following properties must be initialized before saving : customer, staff, price
			lpetshopTransaction.save();
			petshop.Customer lpetshopCustomer = petshop.CustomerFactory.createCustomer();
			// TODO Initialize the properties of the persistent object here, the following properties must be initialized before saving : transaction
			lpetshopCustomer.save();
			petshop.Staff lpetshopStaff = petshop.StaffFactory.createStaff();
			// TODO Initialize the properties of the persistent object here, the following properties must be initialized before saving : transaction
			lpetshopStaff.save();
			t.commit();
		}
		catch (Exception e) {
			t.rollback();
		}
		
	}
	
	public static void main(String[] args) {
		try {
			CreatePetShopData createPetShopData = new CreatePetShopData();
			try {
				createPetShopData.createTestData();
			}
			finally {
				petshop.PetShopPersistentManager.instance().disposePersistentManager();
			}
		}
		catch (Exception e) {
			e.printStackTrace();
		}
	}
}
